This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 2209 - tulip driver with Kingston KNE40BT intermittently fails
tulip driver with Kingston KNE40BT intermittently fails
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
http://www.tux.org/hypermail/linux-tu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-16 04:26 EDT by mark_wilkins
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-06 15:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mark_wilkins 1999-04-16 04:26:28 EDT
I'm running Red Hat 5.2 with all the updates, tulip driver
compiled into the kernel, on the system described below.

  The Kingston KNE40BT Ethernet interface, which is
connected to an Alcatel A1000 ADSL modem (which indicates
that it's functioning fine, by the way) seems to freeze up
about every two days or so.  A reboot appears to solve the
problem, but I have not yet tried taking the interface down
then up with ifconfig.

  The referenced URL describes a previously reported problem
with the same interface and a later version of the driver,
but a response to that message at the same site describes
this problem under Red Hat 5.2 with the same interface card
(actually a KNE40T, the main difference being the presence
on my card of a coax connector.)

  The problem seems to occur during periods of high network
activity, but my attempts to induce the problem as suggested
in those messages have failed.

  There do not appear to be any unusual messages in the logs
save for daemons complaining that they can't get to the
network.

Information about the system:

e-machines Cyrix MII 266
Kingston KNE40BT (10baseT and 10base2 ethernet card) on eth1
Linksys EtherFast 10/100 on eth0

dmesg output:

----------------------------------------------
Memory: sized by int13 088h
Console: 16 point font, 400 scans
Console: colour VGA+ 80x25, 1 virtual console (max 63)
pcibios_init : BIOS32 Service Directory structure at
0x000fdb00
pcibios_init : BIOS32 Service Directory entry at 0xfdb10
pcibios_init : PCI BIOS revision 2.10 entry at 0xfdb31
Probing PCI hardware.
Calibrating delay loop.. ok - 199.88 BogoMIPS
Memory: 30752k/32768k available (784k kernel code, 384k
reserved, 848k data)
This processor honours the WP bit even when in supervisor
mode. Good.
Swansea University Computer Society NET3.035 for Linux 2.0
NET3: Unix domain sockets 0.13 for Linux NET3.035.
Swansea University Computer Society TCP/IP for NET3.034
IP Protocols: IGMP, ICMP, UDP, TCP
VFS: Diskquotas version dquot_5.6.0 initialized
Checking 386/387 coupling... Ok, fpu using exception 16
error reporting.
Checking 'hlt' instruction... Ok.
Linux version 2.0.36
(root@adsl-216-102-150-142.dsl.lsan03.pacbell.net) (gcc ver
sion 2.7.2.3) #1 Sun Apr 11 06:02:44 PDT 1999
Starting kswapd v 1.4.2.2
Serial driver version 4.13 with no serial options enabled
tty00 at 0x03f8 (irq = 4) is a 16550A
PS/2 auxiliary pointing device detected -- driver installed.
Real Time Clock Driver v1.09
Ramdisk driver initialized : 16 ramdisks of 4096K size
hda: SAMSUNG SW0212A (2.1GB), 2014MB w/493kB Cache,
CHS=1023/64/63
hdc: SAMSUNG SCR-2432, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
md driver 0.36.3 MAX_MD_DEV=4, MAX_REAL=8
scsi : 0 hosts.
scsi : detected total.
tulip.c:v0.89H 5/23/98 becker@cesdis.gsfc.nasa.gov
eth0: Lite-On 82c168 PNIC at 0xee00, 00 a0 cc 22 28 ae, IRQ
11.
eth0: MII transceiver found at MDIO address 1, config 3100
status 7809.
eth0:  Advertising 01e1 on PHY 1, previously advertising
01e1.
eth1: Digital DC21041 Tulip at 0xea00, 21041 mode, 00 c0 f0
38 71 df, IRQ 10.
eth1:21041 Media information at 30, default media 0800
(Autosense).
eth1:  21041 media #0, 10baseT.
eth1:  21041 media #0, 10baseT.
eth1:  21041 media #0, 10baseT.
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 >
VFS: Mounted root (ext2 filesystem) readonly.
Adding Swap: 66492k swap-space (priority -1)
Swansea University Computer Society IPX 0.34 for NET3.035
IPX Portions Copyright (c) 1995 Caldera, Inc.
Appletalk 0.17 for Linux NET3.035
eth0: Changing PNIC configuration to half-duplex, CSR6
816e0000.
ad1848/cs4248 codec driver Copyright (C) by Hannu Savolainen
1993-1996
YM3812 and OPL-3 driver Copyright (C) by Hannu Savolainen,
Rob Hooft 1993-1996
Swansea University Computer Society IPX 0.34 for NET3.035
IPX Portions Copyright (c) 1995 Caldera, Inc.
Appletalk 0.17 for Linux NET3.035
Comment 1 David Lawrence 1999-07-06 15:05:59 EDT
We will need to get one of these cards into the lab for proper
testing.

Note You need to log in before you can comment on or make changes to this bug.